<?php

namespace App\Livewire\Execução;

use Livewire\Component;

use App\Models\Equipment;

class StepByStepEquipmentTasks extends Component
{
    public $equipmentId;
    public $modalOpen = false;

    //     public function loadDetails($equipmentId)
    // {
    //     $this->equipmentId = $equipmentId;
    //     $this->dispatchBrowserEvent('openModalEvent');  // Emitindo o evento
    // }

    public function loadDetails($equipmentId)
    {
        $this->equipmentId = $equipmentId;
        $this->emit('openModalEvent');
    }

    public function render()
    {
        return view('livewire.execução.step-by-step-equipment-tasks');
    }
}
